/* -*- mode: c; c-basic-offset: 4; -*- */
/* vi:set cindent ts=8 sts=4 sw=4: */

#ifndef MISC_H
#define MISC_H

#include "curs_main.h" /* struct menu */
#include <regex.h> /* regex_t */

#define TURN_ON_FLAG(var, flag)  (var |= flag)
#define TURN_OFF_FLAG(var, flag) (var &= ~flag)
#define IS_FLAG_ON(var, flag)    (var & flag)
#define CLEAR_ALL_FLAGS(var)     (var = 0)

void display_regexp_error(int errcode, const regex_t *preg);
char *extract_player_for_file(const char *filename_extension, char *player,
				size_t playerlen);
const char *cwd(void);
bool has_registered_filename_extension(const char *fname);
bool has_the_correct_syntax_of_the_filename_extensions_variable(char *s);
void main_chdir(struct menu *menu);
void main_make_menu_entry(char *str, size_t len, int index);
int number_of_menu_help_entries(int menu);
void quit(struct menu *menu, char *playlist, bool playlist_changed);
void reset_all_options(void);
void sighandler(int sig);
int xchdir(const char *path);

#endif				/* MISC_H */
